package com.fuzamei.common.constrain;

/**
 * @file_name: StatusEnum
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/10 10:29
 * @version：
 */
public enum StatusEnum {

    //-------------------流转表状态
    REJECT("拒绝签收",10),
    CANCEL("已撤销",0),
    BILL_WAIT("待签收",1),
    BILL_END("結束",2),
    OWNING("持有中",4),
    PLEDGE_WAIT("申请质押中",5),
    PLEDGED("质押中",6),
    FINANCE_WAITING("申请融资中",7),
    FINANCING("融资中",8),
    PAY_WAIT("待确认支付",9),
    OWING_PLEDGE("持有质押",10),

    //---------------------其它状态
    MARKET_FINANCE("买断",0),
    MARKET_PLEDGE("质押",1),
    MARKET_DELIST("已摘",0),
    MARKET_NOT_DELIST("未摘",1),




    THIS_IS_LAST_ENUM("最后一条枚举",10000000);



    private String name;
    private int code;
    // 构造方法
    private StatusEnum(String name, int code) {
        this.name = name;
        this.code = code;
    }

    // 普通方法
    public static String getName(int code) {
        for (StatusEnum c : StatusEnum.values()) {
            if (c.getCode() == code) {
                return c.name;
            }
        }
        return null;
    }
    // get set 方法
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public int getCode() {
        return code;
    }
    public void setCode(int code) {
        this.code = code;
    }
}
