package com.fuzamei.controller;

import com.fuzamei.dto.BillPayInfoDto;
import com.fuzamei.entity.BillOrderAct;
import com.fuzamei.enums.CodeEnum;
import com.fuzamei.service.BillOrderActService;
import com.fuzamei.service.BillService;
import com.fuzamei.util.ResponseUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @file_name: BIllOrderActController
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/14 15:36
 * @version：
 */
@RestController
@RequestMapping(value = "/billOrderAct")
public class BIllOrderActController {
    @Autowired
    private BillOrderActService billOrderActService;
    @Autowired
    private BillService billService;

    /**
     * 单据支付
     * @param
     */
    @PostMapping(value = "/billPay")
    public ResponseUtil billPay(@RequestBody  BillPayInfoDto billPayInfoDto){
        int result = billOrderActService.payBill(billPayInfoDto);
        if(result > 0) {
            return ResponseUtil.getResult(CodeEnum.COMMONS_SUCCESS.getCode(),true,result);
        }else {
            return ResponseUtil.getResult(CodeEnum.COMMONS_ERROR.getCode(), true, null);
        }
    }

    /**
     * 签收单据（应为确认支付？）
     * @param billOrderId
     * @return
     */
    @PostMapping(value = "/confirmPay")
    public ResponseUtil confirmPay(@RequestParam String billOrderId){
        int result = billOrderActService.confirmPay(Integer.parseInt(billOrderId),true);
        if(result > 0) {
            return ResponseUtil.getResult(CodeEnum.COMMONS_SUCCESS.getCode(),true,result);
        }else {
            return ResponseUtil.getResult(CodeEnum.COMMONS_ERROR.getCode(), true, null);
        }
    }

    /**
     * 拒绝签收单据（应为取消支付？）
     * @param billOrderId
     * @return
     */
    @PostMapping(value = "/cancelPay")
    public  ResponseUtil cancelPay(@RequestParam int billOrderId){
        int result = billOrderActService.confirmPay(billOrderId,false);
        if(result > 0) {
            return ResponseUtil.getResult(CodeEnum.COMMONS_SUCCESS.getCode(),true,result);
        }else {
            return ResponseUtil.getResult(CodeEnum.COMMONS_ERROR.getCode(), true, null);
        }
    }

    

}
