package com.fuzamei.controller;


import com.fuzamei.entity.Enterprise;
import com.fuzamei.entity.User;
import com.fuzamei.entity.UserConnectEnterprise;
import com.fuzamei.service.ConnectService;
import com.fuzamei.service.EnterpriseService;
import com.fuzamei.service.UserService;
import com.fuzamei.util.ResponseUtil;
import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import java.util.List;
import java.util.logging.Logger;

import static com.fuzamei.enums.CodeEnum.COMPLETE_SUCCESS;
import static com.fuzamei.enums.CodeEnum.EXISTED_ENTERPRISE;
import static com.fuzamei.util.ResponseUtil.getResult;


/**
 * Created by sqc95 on 2018/4/28.
 */

@RestController
@RequestMapping(path = "/enterprise")
public class EnterpriseController {

    @Autowired
    EnterpriseService enterpriseService;
    @Autowired
    ConnectService connectService;
    @Autowired
    UserService userService;

    Logger logger;
    final int USER_ID_LENGTH=2;

    /**
     * @Author: SongQiCong
     * @Description:    主要用于企业信息表查询 测试用
     * @Date:     2018/5/18
     * @function:  查找企业表所有信息
     */

    @RequestMapping(path = "/selectAllEnterprise", method = RequestMethod.GET)
    public List<User> findAll() {
        List list = enterpriseService.findInfo();
        Logger.getLogger(enterpriseService.findInfo().toString());
        return list;
    }






/**
     * @Author: SongQiCong
     * @Description:    只输入tel password即可封装成enterprise类 校验是否已存在相同账号
     * @Date:   2018/5/14
     * @function:   用户注册
     */

    @RequestMapping(path = "/insertInfo", method = RequestMethod.POST)
    public ResponseUtil insertInfo(@RequestBody Enterprise enterprise,
                                   HttpServletRequest request) {


        String enterpriseAccount = enterprise.getEnterpriseAccount();
        List list = enterpriseService.findEnterpriseByAccount(enterpriseAccount);
        if(!list.isEmpty()){
            return getResult(EXISTED_ENTERPRISE.getCode(),false,null);
        }
        else{

            //加入企业表
            UserConnectEnterprise userConnectEnterprise = new UserConnectEnterprise();
            enterpriseService.CreateInfo(enterprise);
            //加入映射表
            HttpSession session = request.getSession();
            User user = (User)session.getAttribute("user");

            System.out.println("实现的用户密码"+user.getUserID().toString());



            userConnectEnterprise.setUserTel(user.getUserTel());
            userConnectEnterprise.setUserID(user.getUserID());
            userConnectEnterprise.setEnterpriseAccount(enterpriseAccount);
            userConnectEnterprise.setEnterpriseName(enterprise.getEnterpriseName());

            connectService.insertInfo(userConnectEnterprise);
        }


    return getResult(COMPLETE_SUCCESS.getCode(),true,null);



    }




}




