package com.fuzamei.dao;

import com.fuzamei.dto.Condition;
import com.fuzamei.dto.UpdateBillOrderActDto;
import com.fuzamei.entity.BillOrderAct;
import com.fuzamei.entity.Order;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @file_name: BillOrderDao
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/10 16:34
 * @version：
 */
@Repository
public interface BillOrderActDao {
    int insertIntoBillOrder(BillOrderAct order);
    double selectBillFreeze(String id);
    List<BillOrderAct> selectOrderOfBill(String id);
    int updateBillStatus(UpdateBillOrderActDto updateBillOrderActDto);
    int updateBillStatusByOrderId(UpdateBillOrderActDto updateBillOrderActDto);
    
    BillOrderAct selectBillOrderActById(int id);

    int updateBillMoney(UpdateBillOrderActDto updateBillOrderActDto);
    int deleteBillOrdersActByOrderId(String billID);
    int updateBillOrderAct(BillOrderAct billOrderAct);
    BillOrderAct selectBillOrderActByCondition(Condition condition);
    int deleteBillOrdersActById(int id);
    
    //根据流转表id查询数据实体信息
    BillOrderAct selectByOrderActId(Integer id);
    
    BillOrderAct selectSimilarOrderAct(BillOrderAct billOrderAct);
    int updateOrderAct(BillOrderAct billOrderAct);
    BillOrderAct selectPledgeOrderAct(BillOrderAct billOrderAct);
    
    //根据流转表id更改流转表状态
    int updateBillStatusByOrderActId(UpdateBillOrderActDto updateBillOrderActDto);
}
