package com.fuzamei.dao;

import java.util.List;

import com.fuzamei.po.BillMarket;
import com.fuzamei.po.LogAct;
import com.fuzamei.po.LogCapital;

public interface LoggerDao {

	/**
	 * 根据企业id查操作日志列表
	 * @param enterpriseId
	 * @return
	 */
	List<LogAct> LogActList(int enterpriseId);
	
	
	/**
	 * 根据企业id查询资金流水日志
	 * @param enterpriseId
	 * @return
	 */
	List<LogCapital>  LogCapitalList(int enterpriseId);
	
	/**
	 * 根据市场id查询市场详情
	 * @param id
	 * @return
	 */
	BillMarket getMarketInfo(int id);
	
	/**
	 * 插入企业操作记录
	 * @param logAct
	 * @return
	 */
	int inputLogAct(LogAct logAct);
	
	/**
	 * 插入企业资金流水记录
	 * @param logCapital
	 * @return
	 */
	int inputLogCapital(LogCapital logCapital);
	
	
}
