package com.fuzamei.dto;

import javax.validation.GroupSequence;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class BaseDTO {
    private Object sign;	//签名数据
    private String searchString;//模糊搜索字符串
    private String searchBeginDate;//搜索起始日期
    private String searchEndDate;//搜索结束日期
    private Integer pageIndex=1;
    private Integer pageSize=10;

    @NotNull(message = "企业id不能为空", groups = { EnterpriseId.class })
    @Size(min = 5, max = 15)
    private Integer enterpriseId;

    private  Integer searchState;

    public Integer getPageIndex() {
        return pageIndex;
    }

    public void setPageIndex(Integer pageIndex) {
        this.pageIndex = pageIndex;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public Object getSign() {
        return sign;
    }

    public void setSign(Object sign) {
        this.sign = sign;
    }

    public String getSearchBeginDate() {
        return searchBeginDate;
    }

    public void setSearchBeginDate(String searchBeginDate) {
        this.searchBeginDate = searchBeginDate;
    }

    public String getSearchEndDate() {
        return searchEndDate;
    }

    public String getSearchString() {
        return searchString;
    }

    public void setSearchString(String searchString) {
        this.searchString = searchString;
    }

    public void setSearchEndDate(String searchEndDate) {
        this.searchEndDate = searchEndDate;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getSearchState() {
        return searchState;
    }

    public void setSearchState(Integer searchState) {
        this.searchState = searchState;
    }



    public interface EnterpriseId{};

    @GroupSequence({EnterpriseId.class})
    public interface CheckSearchEnterpriseId{};
}
