package com.fuzamei.dto;


import com.fuzamei.common.bean.OpteratorTime;
import com.fuzamei.vo.TimeStampUtil;

import javax.validation.GroupSequence;
import javax.validation.constraints.NotNull;

/**
 * @file_name: OrderDto
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/4 11:25
 * @version：
 */
public class OrderDto extends OpteratorTime {

    @NotNull(message = "单据标号不能为空", groups={OrderId.class})
    private String orderId;
    //出账企业
    @NotNull(message = "出账企业不呢为空",groups = {OutEnterprise.class})
    private String outEnterprise;
    //收账
    private int outEnterpriseId;
    @NotNull(message = "收账企业不能为空",groups = {InEnterprise.class})
    private String  inEnterprise;
    private int  inEnterpriseId;
    @NotNull(message = "单据金额不能为空",groups = {Summary.class})
    private double summary;
    @NotNull(message = "收账日期不能为空",groups = {Deadline.class})
    private long deadline;
    @NotNull(message = "出账日期不能为空",groups = {OutBillTime.class})
    private long outBillTime;
    @NotNull(message = "协议利率不能为空",groups = {Rate.class})
    private double rate;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOutEnterprise() {
        return outEnterprise;
    }

    public void setOutEnterprise(String outEnterprise) {
        this.outEnterprise = outEnterprise;
    }

    public int getOutEnterpriseId() {
        return outEnterpriseId;
    }

    public void setOutEnterpriseId(int outEnterpriseId) {
        this.outEnterpriseId = outEnterpriseId;
    }

    public String getInEnterprise() {
        return inEnterprise;
    }

    public void setInEnterprise(String inEnterprise) {
        this.inEnterprise = inEnterprise;
    }

    public int getInEnterpriseId() {
        return inEnterpriseId;
    }

    public void setInEnterpriseId(int inEnterpriseId) {
        this.inEnterpriseId = inEnterpriseId;
    }

    public double getSummary() {
        return summary;
    }

    public void setSummary(double summary) {
        this.summary = summary;
    }

    public long getDeadline() {
        return deadline;
    }

    public void setDeadline(long deadline) {
        this.deadline = deadline;
    }

    public long getOutBillTime() {
        return outBillTime;
    }

    public void setOutBillTime(long outBillTime) {
        this.outBillTime = outBillTime;
    }

    @Override
    public String toString() {
        return "OrderDto{" +
                "orderId='" + orderId + '\'' +
                ", outEnterprise='" + outEnterprise + '\'' +
                ", outEnterpriseId=" + outEnterpriseId +
                ", inEnterprise='" + inEnterprise + '\'' +
                ", inEnterpriseId=" + inEnterpriseId +
                ", summary=" + summary +
                ", deadline=" + deadline +
                ", outBillTime=" + outBillTime +
                ", rate=" + rate +
                '}';
    }

    public double getRate() {
        return rate;
    }

    public void setRate(double rate) {
        this.rate = rate;
    }
    public interface OrderId{}
    public interface  OutEnterprise{}
    private interface InEnterprise{}
    private interface Summary{}
    private interface Deadline{}
    private interface OutBillTime{}
    private interface Rate{}
    @GroupSequence({OrderId.class,OutEnterprise.class,InEnterprise.class,Summary.class,Deadline.class,OutBillTime.class,Rate.class})
    public  interface  MakeBill{}

}
