package com.fuzamei.entity;



public class Market extends SearchBean {

    private Integer id; //市场id
    private Integer orderId; //单据id
    private Integer operatorEnterpriseId; //操作企业
    private String operatorEnterprise; //操作企业
    private String outEnterprise;   //出账企业
    private Long deadline;   //承兑日期
    private Double summary; //账单总额
    private Double transferMoney;  //转让金额
    private Double annualRate;   //年化利率
    private Double discountRate;   //贴现利率
    private Double discountMoney;  //贴现费
    private Double financingMoney;    //融资金额
    private Integer orderType;  //单据类型
    private Integer status; //0买断 1质押
    private Integer delistStatus;   //0已摘 1未摘
    private Long createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getOperatorEnterpriseId() {
        return operatorEnterpriseId;
    }

    public void setOperatorEnterpriseId(Integer operatorEnterpriseId) {
        this.operatorEnterpriseId = operatorEnterpriseId;
    }

    public String getOperatorEnterprise() {
        return operatorEnterprise;
    }

    public void setOperatorEnterprise(String operatorEnterprise) {
        this.operatorEnterprise = operatorEnterprise;
    }

    public String getOutEnterprise() {
        return outEnterprise;
    }

    public void setOutEnterprise(String outEnterprise) {
        this.outEnterprise = outEnterprise;
    }

    public Long getDeadline() {
        return deadline;
    }

    public void setDeadline(Long deadline) {
        this.deadline = deadline;
    }

    public Double getSummary() {
        return summary;
    }

    public void setSummary(Double summary) {
        this.summary = summary;
    }

    public Double getTransferMoney() {
        return transferMoney;
    }

    public void setTransferMoney(Double transferMoney) {
        this.transferMoney = transferMoney;
    }

    public Double getAnnualRate() {
        return annualRate;
    }

    public void setAnnualRate(Double annualRate) {
        this.annualRate = annualRate;
    }

    public Double getDiscountRate() {
        return discountRate;
    }

    public void setDiscountRate(Double discountRate) {
        this.discountRate = discountRate;
    }

    public Double getDiscountMoney() {
        return discountMoney;
    }

    public void setDiscountMoney(Double discountMoney) {
        this.discountMoney = discountMoney;
    }

    public Double getFinancingMoney() {
        return financingMoney;
    }

    public void setFinancingMoney(Double financingMoney) {
        this.financingMoney = financingMoney;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDelistStatus() {
        return delistStatus;
    }

    public void setDelistStatus(Integer delistStatus) {
        this.delistStatus = delistStatus;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "MarketPO{" +
                "id=" + id +
                ", orderId=" + orderId +
                ", operatorEnterpriseId=" + operatorEnterpriseId +
                ", operatorEnterprise='" + operatorEnterprise + '\'' +
                ", outEnterprise='" + outEnterprise + '\'' +
                ", deadline=" + deadline +
                ", summary=" + summary +
                ", transferMoney=" + transferMoney +
                ", annualRate=" + annualRate +
                ", discountRate=" + discountRate +
                ", discountMoney=" + discountMoney +
                ", financingMoney=" + financingMoney +
                ", orderType=" + orderType +
                ", status=" + status +
                ", delistStatus=" + delistStatus +
                ", createTime=" + createTime +
                '}';
    }

    public static Market toMarket(Order order, BillOrderAct ordersAct) {
        Market marketPO = new Market();
        marketPO.setOrderId(ordersAct.getId());
        marketPO.setOperatorEnterpriseId(ordersAct.getOperatorEnterpriseId());
        marketPO.setOperatorEnterprise(ordersAct.getOperatorEnterprise());
        marketPO.setOutEnterprise(order.getOutEnterprise());
        marketPO.setDeadline(order.getDeadline());
        marketPO.setSummary(order.getSummary());
        return marketPO;
    }
}
