package com.fuzamei.enums;

public enum AccountTypeEnum {
	ADVANCE_PAY(1,"兑付(提前)"),
	LATE_PAY(2,"兑付(逾期)"),
	RECHARGE(3,"充值"),
	WITHDRAW(4,"提现"),
	PICK_PLEDGE(5,"摘取质押牌"),
	PICK_FINACING(6,"摘取融资牌"),
	BUY_BACK(7,"回购");//enum实例序列的最后添加一个分号。
	
	//表示状态号码
	private int state;
	//表示状态内容
	private String stateInfo;

	AccountTypeEnum(int state, String stateInfo) {
		this.state = state;
		this.stateInfo = stateInfo;
	}
	public String getStateInfo() {
		return stateInfo;
	}
	public int getState() {
		return state;
	}
	
	public static AccountTypeEnum stateOf(int index) {
		for (AccountTypeEnum state :values()) {
			if(state.getState() == index) {
				return state;
			}
		}
		return null;
	}
}
