package com.fuzamei.enums;


public enum CodeEnum {
    //------------------------------通用异常
    COMMONS_ERROR(500,"系统错误"),
    COMMONS_SUCCESS(200,"操作成功"),
    COMMONS_PARAM_ERROR(-1,"参数校验错误"),
    POST_SEND_ERROR(-2,"POST请求错误"),
    //注册
    REGISTRY_FAIL(600,"账号已存在"),
    REGISTRY_SUCCESS(300,"注册成功"),
    //登录
    LOGIN_FAIL(501,"账号或密码错误"),
    LOGIN_SUCCESS(201,"登陆成功"),
    //注销
    LOGOUT_SUCCESS(202,"注销成功"),
    //修改密码
    DIFFERENT_PASSWORD(502,"两次密码不同"),
    CHANGE_SUCCESS(203,"修改成功"),
    NO_CHANGE(503,"密码未改变"),
    //完善企业信息
    EXISTED_ENTERPRISE(504,"企业账号已存在"),
    COMPLETE_SUCCESS(204,"完善信息成功"),
    ADDMONEY_SUCCESS(205,"充值成功"),
    ADDMONEY_FAIL(505,"充值失败"),
    QUERY_SUCCESS(206,"查询成功"),
    QUERY_FALSE(506,"查询失败"),
    MAKEBILL_SUCCESS(207,"开单成功"),
    MAKEBILL_FALSE(507,"开单失败"),
    CONFIRM_SUCCESS(208,"确认成功"),
    CONFIRM_FALSE(508,"确认失败"),
    CANCEL_SUCCESS(209,"取消成功"),
    CANCEL_FALSE(509,"取消失败"),
    EDIT_SUCCESS(210,"编辑成功"),
    EDIT_FALSE(510,"编辑失败"),
    CASH_SUCCESS(211,"兑付成功"),
    CASH_FALSE(511,"兑付失败"),
    BILLPAY_SUCCESS(212,"支付成功"),
    BILLPAY_FALSE(512,"支付失败"),
    FINANCING_SUCCESS(213,"融资成功"),
    FINANCING_FALSE(513,"融资失败"),
    PLEDGE_SUCCESS(214,"质押成功"),
    PLEDGE_FALSE(514,"质押失败"),
    PREPICK_SUCCESS(215,"查看质押成功"),
    PREPICK_FALSE(515,"查看质押失败"),
    PICK_SUCCESS(216,"摘取质押成功"),
    PICK_FALSE(516,"摘取质押失败"),
    BUYBACK_SUCCESS(217,"回购成功"),
    BUYBACK_FALSE(517,"回购失败"),

    //-----------------------------异常(1000开头)
    COPIES_INSUFFICIENT(1000,"持有份额不足"),








    THIS_IS_LAST_ENUM(10000000,"最后一条枚举");

    private int code;
    private String msg;

    private CodeEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    
    //根据Code返回message
	public static String getInfoByCode (int index) {
		for (CodeEnum state :values()) {
			if(state.getCode() == index) {
				return state.getMsg();
			}
		}
		return null;
	}

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
