package com.fuzamei.enums;

public enum LogTypeEnum {
	ENTERING(1,"录入"),
	REVOKE_ENTERING(2,"撤销录入"),
	REVISE(3,"编辑修改"),
	CONFIRM_SIGN(4,"确认签收"),
	REFUSE_SIGN(5,"拒绝签收"),
	PAY(6,"支付"),
	CONFIRM_PAY(7,"确认支付"),
	REVOKE_PAY(8,"撤销支付"),
	ALLOW_REVOKE_PAY(9,"同意撤销支付"),
	REFUSE_REVOKE_PAY(10,"拒绝撤销支付"),
	PUT_FINACING(11,"融资挂牌"),
	REVOKE_FINACING(12,"融资撤牌"),
	PICK_FINACING(13,"融资摘牌"),
	PUT_PLEDGE(14,"质押挂牌"),
	REVOKE_PLEDGE(15,"质押撤牌"),
	PICK_PLEDGE(16,"质押摘牌"),
	BUY_BACK(17,"回购"),
	APPLY_PAY(18,"申请兑付");//enum实例序列的最后添加一个分号。
	
	//表示状态号码
	private int state;
	//表示状态内容
	private String stateInfo;

	LogTypeEnum(int state, String stateInfo) {
		this.state = state;
		this.stateInfo = stateInfo;
	}
	public String getStateInfo() {
		return stateInfo;
	}
	public int getState() {
		return state;
	}
	
	public static LogTypeEnum stateOf(int index) {
		for (LogTypeEnum state :values()) {
			if(state.getState() == index) {
				return state;
			}
		}
		return null;
	}

}
