package com.fuzamei.enums;

public enum MarketTypeEnum {
	DETAIL_PLEDGE(1,"质押详情"),
	DETAIL_FINACING(1,"融资详情"),
	DETAIL_PAY(1,"支付详情"),
	DETAIL_BUY_BACK(1,"回购详情");//enum实例序列的最后添加一个分号。
	
	//表示状态号码
	private int state;
	//表示状态内容
	private String stateInfo;

	MarketTypeEnum(int state, String stateInfo) {
		this.state = state;
		this.stateInfo = stateInfo;
	}
	public String getStateInfo() {
		return stateInfo;
	}
	public int getState() {
		return state;
	}
	
	public static MarketTypeEnum stateOf(int index) {
		for (MarketTypeEnum state :values()) {
			if(state.getState() == index) {
				return state;
			}
		}
		return null;
	}
}
