package com.fuzamei.handler;

import com.fuzamei.common.exception.G33Exception;
import com.fuzamei.enums.CodeEnum;
import com.fuzamei.util.ResponseUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * @Description 通用异常处理和封装
 * @Author fzm_mhw
 * @Date 2018/5/31 15:13
 * @Version
 */
@ControllerAdvice
public class ExceptionHandle {

    private final static Logger logger = LoggerFactory.getLogger(ExceptionHandler.class);

    @ExceptionHandler(value = Exception.class)
    @ResponseBody
    public ResponseUtil handle(Exception e) {
        if(e instanceof G33Exception) {
            G33Exception g33Exception = (G33Exception) e;
            return ResponseUtil.getResult(g33Exception.getCode(),false, null);
        }else {
            logger.error("【系统异常】{}",e);
            return ResponseUtil.getResult(CodeEnum.COMMONS_ERROR.getCode(), false, null);
        }
    }
}
