package com.fuzamei.service;


import java.util.List;

import com.fuzamei.dto.FilterDto;
import com.fuzamei.dto.OrderDto;
import com.fuzamei.util.PageData;
import com.fuzamei.vo.BillDetailVo;

/**
 * @file_name: BillService
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/4 11:29
 * @version：
 */
public interface BillService {
    /**
     *  通过这个封装的这个类作为条件来对数据进行查询
     * @param filterDto 筛选的条件封装成这个类
     * @return
     */
    PageData getInitiateBillInfo(FilterDto filterDto);
    /**
     * 使用该方法获取单据详情信息
     * @param  id
     * @return BillVo 返回一个bill信息
     */
    BillDetailVo getBillDetailInfo(String id);
    /**
     * 用户开单对应母表的操作，母表插入操作可以放在确认后进行
     * @param
     */
    int insertOrder(OrderDto orderDto);
    /**
     *用户可兑付订单兑付接口，
     * @param  id 对应母表的单据编号 ，userId对应用户id
     * @return 可以兑付的金额
     */
    int cashBill(List<Integer> billOrderActIdList,String userId);
    /**
     * 用户兑付接口
     * @param  id 对应母表的单据编号
     * @return  -1 表示余额不足，1表示成功
     */
    double getCashBillInfo(String id);
    /**
     * 取消单据
     * @param billId
     */
    int cancelBill(String billId);
    /**
     * 签收单据 签收之后资产表的信息已添加（未进行测试)
     * @param  billId
     */
    int confirmBill(String billId);
    /**
     * 重新编辑单据
     * @param orderDto
     */
    int editBill(OrderDto orderDto);

    /**
     * 对前端传来的单据编号进行校验，看是否于已被使用
     * @param id
     * @return
     */
    int isBillIdUsed(int id);

}

