package com.fuzamei.service;

import java.util.List;

import com.fuzamei.po.LogAct;
import com.fuzamei.po.LogCapital;
import com.fuzamei.vo.LogActVo;
import com.fuzamei.vo.LogCapitalVo;
import com.fuzamei.vo.LogMarketVo;

/**
 * 这是日志模块接口，包括五个方法，从上到下依次是获取用户操作日志列表、资金流水日志列表、
 * 记录用户操作日志记录资金流水日志和根据id查询市场数据详情。
 * @author 刘帅
 *
 */
public interface LoggerService {
	
	/**
	 * 获取用户操作日志列表
	 * @param enterpriseId
	 * @return
	 */
	List<LogActVo> getLogActList(int enterpriseId);
	
	/**
	 * 获取资金流水日志列表
	 * @param enterpriseId
	 * @return
	 */
	List<LogCapitalVo> getLogCapitalList(int enterpriseId);
	
	/**
	 * 记录用户操作日志
	 */
	int inputLogAct(LogAct logAct);
	
	/**
	 * 记录资金流水日志
	 */
	int inputLogCapital(LogCapital logCapital);
	
	/**
	 * 交易详情
	 * @param id  市场id
	 * @return
	 */
	LogMarketVo getMarketInfo(int id); //市场实体market

}
