package com.fuzamei.service;


import com.fuzamei.dto.*;
import com.fuzamei.util.PageData;
import com.fuzamei.vo.MarketVO;

/**
 * @file_name: maketService
 * @Description：
 * @author: 刘林杰
 * @date: 五月 2018/5/4 11:46
 * @version：
 */


public interface MarketService {


    /**
     * 显示市场行情
     * @param baseDTO
     * @return
     */
    PageData selectByState(BaseDTO baseDTO);

    /**
     * 申请质押
     * @param pledgeInfoDTO
     * @return
     */
    int applyPledge(PledgeInfoDTO pledgeInfoDTO);

    /**
     * 通过市场id查询市场信息
     * @param marketId
     * @return
     */
    MarketVO selectById(Integer marketId);

    /**
     * 摘取融资
     * @param pickDTO
     * @return
     */
    int pickFinance(PickDTO pickDTO);

    /**
     * 摘取质押
     * @param pickDTO
     * @return
     */
    int pickPledge(PickDTO pickDTO);

    /**
     * 回购
     * @param buyBackInfoDTO
     * @return
     */
    int buyBack(BuyBackInfoDTO buyBackInfoDTO);

    /**
     * 单据融资
     * @param fincanceInfoDto
     * @return
     */
    int financingBill(FincanceInfoDto fincanceInfoDto);
}
