package com.fuzamei.service.serviceimpl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.fuzamei.dao.LoggerDao;
import com.fuzamei.po.BillMarket;
import com.fuzamei.po.LogAct;
import com.fuzamei.po.LogCapital;
import com.fuzamei.service.LoggerService;
import com.fuzamei.vo.LogActVo;
import com.fuzamei.vo.LogCapitalVo;
import com.fuzamei.vo.LogMarketVo;

@Service
public class LoggerServiceImpl implements LoggerService{
	
	@Autowired  //依靠spring容器实现loggerdao的实现类自动装配
	private LoggerDao loggerDao;
	
	/**
	 * 获取操作记录列表的方法实现
	 */
	@Override
	public List<LogActVo> getLogActList(int enterpriseId) {
		//操作记录vo类声明对象
		List<LogActVo> logActVos = new ArrayList<LogActVo>();
		//操作列表查询结果
		List<LogAct> resultList = loggerDao.LogActList(enterpriseId);
		for(LogAct la : resultList) {
			LogActVo logActVo = new LogActVo();
			logActVo.setOrderId(la.getOrderId());
			logActVo.setPaymentEnterpriseName(la.getPaymentEnterpriseName());
			logActVo.setBillTotalMoney(la.getBillTotalMoney());
			logActVo.setOperatorType(la.getOperatorType());
			logActVo.setMarketId(la.getMarketId());
			logActVo.setMarketContent(la.getMarketContent());
			logActVo.setOperatorMoney(la.getOperatorMoney());
			logActVo.setOperatorEnterpriseName(la.getOperatorEnterpriseName());
			logActVo.setTradeEnterpriseName(la.getTradeEnterpriseName());
			logActVos.add(logActVo);
	    }
		return logActVos;
	}


    /**
    * 获取资金流水日志列表
    */
	@Override
	public List<LogCapitalVo> getLogCapitalList(int enterpriseId) {
		List<LogCapitalVo> logCapitalVos = new ArrayList<LogCapitalVo>();
		List<LogCapital>resultlist = loggerDao.LogCapitalList(enterpriseId);
		for(LogCapital la : resultlist) {
			LogCapitalVo logCapitalVo = new LogCapitalVo();
			logCapitalVo.setId(la.getId());
			logCapitalVo.setDateTime(la.getDateTime());
			
			logCapitalVo.setOperatorResult(la.getOperatorResult());
			logCapitalVo.setCash(la.getCash());
			logCapitalVo.setOperatorResult(la.getOperatorResult());
			logCapitalVos.add(logCapitalVo);
		}
		
		return logCapitalVos;
	}


	/**
	 * 记录用户操作
	 */
	@Override
	public int inputLogAct(LogAct logAct) {
		System.out.println("存");
		return loggerDao.inputLogAct(logAct);
	}


	/**
	 * 插入资金流水记录
	 */
	@Override
	public int inputLogCapital(LogCapital logCapital) {
			
		return loggerDao.inputLogCapital(logCapital);
	}


	//根据市场id查询详细信息
	@Override
	public LogMarketVo getMarketInfo(int id) {
		BillMarket billMarket = loggerDao.getMarketInfo(id);
		LogMarketVo logMarketVo = new LogMarketVo();
		logMarketVo.setOperatorEnterprise(billMarket.getOperatorEnterprise());
		logMarketVo.setTransferMoney(billMarket.getTransferMoney());
		logMarketVo.setRate(billMarket.getRate());
		logMarketVo.setDiscountMoney(billMarket.getDiscountMoney());
		logMarketVo.setPayMent(billMarket.getPayMent());
		return logMarketVo;
	}

//	/**
//	 * 操作记录列表中根据市场id查询市场详情的方法实现
//	 */
//	@Override
//	public LogMarketVo getMarketInfo(int id) {
//		return loggerDao.getMarketInfo(id);
//	}

}
