package com.fuzamei.util;

import java.util.HashMap;

@SuppressWarnings("serial")
public class ActionReturnUtil extends HashMap<String, Object> {
    /**
     * 不需要返回信息，并且请求成功
     * @return
     */
    public static ActionReturnUtil returnSuccess(){
        ActionReturnUtil returnMap = new ActionReturnUtil();
        returnMap.put("success",true);
        return returnMap;
    }

    /**
     * 需要向前端展示信息，并且请求成功，将DTO作为参数传入
     * @param data
     * @return
     */
    public static ActionReturnUtil returnSuccessWithData(Object data){
        ActionReturnUtil returnMap = new ActionReturnUtil();
        returnMap.put("data", data);
        returnMap.put("success",true);
        return returnMap;
    }
//
//    /**
//     * 需要向前返回信息，成功，并且需要是分页数据，返回时告诉前端页数
//     * @param data
//     * @param Count
//     * @return
//     */
//    public static ActionReturnUtil returnSuccessWithDataAndCount(Object data,int Count){
//        ActionReturnUtil returnMap = new ActionReturnUtil();
//        returnMap.put("data", data);
//        returnMap.put("count",Count);
//        returnMap.put("success",true);
//        return returnMap;
//    }

//    public static ActionReturnUtil returnSuccessWithMap(String key,String value){
//        ActionReturnUtil returnMap = new ActionReturnUtil();
//        returnMap.put(key, value);
//        returnMap.put("success",true);
//        return returnMap;
//    }

    /**
     * 请求
     * @return
     */
    public static ActionReturnUtil returnError(String code){
        ActionReturnUtil returnMap = new ActionReturnUtil();
        returnMap.put("code",code);
        returnMap.put("success",false);
        return returnMap;
    }


    public static ActionReturnUtil returnErrorWithData(Object data){
        ActionReturnUtil returnMap = new ActionReturnUtil();
        returnMap.put("data", data);
        returnMap.put("success",false);
        return returnMap;
    }

    public static ActionReturnUtil returnErrorWithMap(String key,String value){
        ActionReturnUtil returnMap = new ActionReturnUtil();
        returnMap.put(key, value);
        returnMap.put("success",false);
        return returnMap;
    }

    public static ActionReturnUtil returnSuccessWithMsg(String msg,String code){
        ActionReturnUtil returnMap = new ActionReturnUtil();
        returnMap.put("msg", msg);
        returnMap.put("code",code);
        returnMap.put("success",true);
        return returnMap;
    }

//    public boolean isSuccess() {
//        return (Boolean) get("success");
//    }

}
