package com.fuzamei.util;


import java.io.Serializable;
import java.util.List;

import org.apache.log4j.Logger;

import com.github.pagehelper.Page;

/**
 * Created by liujincheng on 17/9/21.
 */
public class PageData<T> implements Serializable{
    private Logger logger = Logger.getLogger(PageData.class);

    public PageData(){

    }

    public PageData(Page page,Class boClass){
        this.pageNum = page.getPageNum();
        this.pageSize = page.getPageSize();
        this.pages = page.getPages();
        this.size = page.size();
        this.total = page.getTotal();
        /*
         * page.getResult()返回一个page对象，这个page对象继承ArrayList
         * 以下方法将遍历传入的page的result成员，并且使用反射生存一个boclass在使用copyProperties（）将之属性复制给新生成的boclass
         */
        this.list = BeanCopyUtil.listCopy(page.getResult(),boClass);
    }

    public static PageData getPageData(Page page,Class boClass){
        return  new PageData(page,boClass);

    }



    private static final long serialVersionUID = 1L;
    //当前页
    private int pageNum;
    //每页的数量
    private int pageSize;
    //当前页的数量
    private int size;
    //总记录数
    private long total;
    //总页数
    private int pages;
    //结果集
    private List<T> list;





    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }


    public long getTotal() {
        return total;
    }

    public void setTotal(long total) {
        this.total = total;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }





}

