package com.fuzamei.util;

import com.fuzamei.enums.CodeEnum;
import com.fuzamei.enums.LogTypeEnum;

@SuppressWarnings("serial")
public class ResponseUtil {
    private ResponseUtil(){}
    
    //返回成功构造函数
    public ResponseUtil(int code,boolean success,Object data){
        this.code=code;
        this.success=success;
        this.message=CodeEnum.getInfoByCode(code);
        this.data=data;
    }
    
    //返回失败构造函数
    public  ResponseUtil(int code,boolean success){
        this.code=code;
        this.success=success;
        this.message=CodeEnum.getInfoByCode(code);
    }
    
    private int code;//返回码
    private boolean success;//返回成功与否
    private String message;//返回信息
    private Object data;//返回的数据

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "ResponseUtil{" +
                "code=" + code +
                ", success=" + success +
                ", message='" + message + '\'' +
                ", data=" + data +
                '}';
    }

    //返回方法
    public static final ResponseUtil getResult(int code, boolean success, Object data){
    	   	if(success == false) {
    	   		return new ResponseUtil(code,success);
    	   	} else {
    	   		return new ResponseUtil(code,success,data);
    	   	}
            
        };

}
